<?php
/**
* @file		config.php
* @package	Open-School v1.0
* @description	Contains all configration constants
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license	GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
	// Edit Database connection parameters constants
	define('HOST', 'localhost');
	define('USERNAME', 'db_username');
	define('PASSWORD', 'db_password');
	define('DATABASE', 'db_name');
	
    // Edit Application Directory - need to change this to your app folder.
	define('APP_ROOT', 'app');
	// Edit Address of website.
	define('WEBSITE', 'http://your-domain.com/');
	
	//Edit Website Configurations
	 //The Number of news list in latest news
	define('NO_LATEST',3);
	//Default home page
	define('HOME_PAGE',1);
	//Website Title
	define('TITLE','Open-School');
	//Default Module
	define('DEFAULT_MODULE','os_pages');
	
	//Dont Edit Below!
	//Removing Error Reports
	error_reporting(E_ALL ^ E_NOTICE);	
	// The server root
	define('SERVER_ROOT', $_SERVER['DOCUMENT_ROOT']);
	// Directory structure
	define('DS', '/');
	// MVC paths
	define('MODEL_PATH', SERVER_ROOT.APP_ROOT.DS.'models'.DS);
	define('VIEW_PATH', SERVER_ROOT.APP_ROOT.DS.'views'.DS);
	define('CONTROLLER_PATH', SERVER_ROOT.APP_ROOT.DS.'controllers'.DS);
	// Template Path
	define('TEMPLATE_PATH',SERVER_ROOT.APP_ROOT.DS.'templates/oslite'.DS);
	// Modules Path
	define('MODULES_PATH',SERVER_ROOT.APP_ROOT.DS.'modules'.DS);
	//Includes Path
	define('INCLUDE_PATH', SERVER_ROOT.APP_ROOT.DS.'includes'.DS);
	//Template Relative Path
	define('TEMPLATE',WEBSITE.APP_ROOT.DS.'templates/oslite'.DS);
	//Module Relative Path
	define('MODULES',WEBSITE.APP_ROOT.DS.'modules'.DS);
	// includes
	include('includes/database.php');
	include('includes/controller.php');
	include('includes/modules.php');
	include('includes/sessions.php');
	include('includes/users.php');
?>