-- phpMyAdmin SQL Dump
-- version 3.1.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Dec 12, 2009 at 01:25 AM
-- Server version: 5.1.32
-- PHP Version: 5.2.9-1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `os`
--

-- --------------------------------------------------------

--
-- Table structure for table `admins`
--

CREATE TABLE IF NOT EXISTS `admins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(30) NOT NULL,
  `password` varchar(30) NOT NULL,
  `email` varchar(150) NOT NULL,
  `address` varchar(150) NOT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `admins`
--

INSERT INTO `admins` (`id`, `username`, `password`, `email`, `address`, `created_at`) VALUES
(1, 'osadmin', 'osadmin', 'bugs@open-school.org', 'open-school.org', '2009-03-10 16:45:03');

-- --------------------------------------------------------

--
-- Table structure for table `class`
--

CREATE TABLE IF NOT EXISTS `class` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `class_teacher` int(11) NOT NULL,
  `details` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `class`
--

INSERT INTO `class` (`id`, `name`, `class_teacher`, `details`) VALUES
(1, 'Standard 1', 1, 'Standard 1'),
(2, 'Class Seven', 1, 'Class Seven');

-- --------------------------------------------------------

--
-- Table structure for table `components`
--

CREATE TABLE IF NOT EXISTS `components` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `components`
--


-- --------------------------------------------------------

--
-- Table structure for table `menu`
--

CREATE TABLE IF NOT EXISTS `menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(150) NOT NULL,
  `description` varchar(150) DEFAULT 'some description',
  `icon` varchar(150) DEFAULT 'default',
  `link` varchar(150) DEFAULT 'index.php',
  `order_by` int(11) DEFAULT '0',
  `menu_type` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=153 ;

--
-- Dumping data for table `menu`
--

INSERT INTO `menu` (`id`, `name`, `description`, `icon`, `link`, `order_by`, `menu_type`) VALUES
(1, 'BLOG', 'O-S Official Blog', 'default', 'http://open-school.org', 1, 1),
(2, 'FORUMS', 'Open-School Public Forums', 'default', 'http://open-school.org/forum/categories.php', 2, 1),
(3, 'WIKI', 'Open-School Wiki', 'default', 'http://open-school.org', 3, 1),
(4, 'DEVELOPERS', 'O-S DEVELOPERS', 'default', 'http://open-school.org/forum/?CategoryID=3', 4, 1),
(5, 'MODULES', 'Open Source', 'default', 'http://open-school.org/modules.html', 5, 1),
(6, ' PROFESSIONAL SERVICES ', 'Save Children', 'default', '', 7, 1),
(7, 'REPORT BUGS', 'Bugs', 'default', 'http://open-school.org/forum/?CategoryID=2', 8, 1),
(9, 'DONATE', 'Hash', 'default', 'http://open-school.org/donate.html', 8, 1),
(10, 'Home', 'Home', 'default', 'index.php?module=os_pages&view=show&id=1', 1, 2),
(11, 'News', 'Concept', 'default', 'index.php?module=os_news&view=show', 2, 2),
(12, 'Modules', 'Modules', 'default', 'index.php?module=os_pages&view=show&id=3', 3, 2),
(13, 'Support', 'Support', 'default', 'index.php?module=os_pages&view=show&id=4', 4, 2),
(14, 'Documentation', 'description', 'icon', 'index.php?module=os_pages&view=show&id=5', 5, 2),
(15, 'Developers', 'Developers', 'icon', 'index.php?module=os_pages&view=show&id=6', 6, 2),
(16, 'Download', 'download', 'icon', 'http://open-school.org/download.html', 7, 2),
(18, 'Time Table', 'View Your Time table', 'time_table.gif', 'index.php?module=os_students&view=no_module', 1, 5),
(19, 'Report Card', 'View your progress card', 'report_card.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(20, 'Assignments', 'View your assignments', 'assignments.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(21, 'Homework', 'Your homework details', 'homework.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(22, 'Quiz ', 'Take part in a quiz ', 'quiz.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(23, 'Holidays', 'View the coming holidays', 'holidays.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(24, 'Messages', 'View your Messages Inbox', 'messages.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(25, 'Forums', 'view and share thoughts in public forums', 'forums.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(26, 'Tutorials/Resources', 'The latest tutorials/resources', 'resources.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(27, 'Fees', 'View about your fess details', 'fees.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(28, 'Books', 'Search through the books available', 'books.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(29, 'Settings', 'Edit your profile and settings', 'settings.gif', 'index.php?module=os_students&view=no_module', NULL, 5),
(62, 'Module Manager', 'Install/Edit Modules', 'default', 'index.php?module=os_admin&view=modules&action=list', 3, 7),
(119, 'Administrator Home', 'Administrator Home Page', 'default', 'index.php?module=os_admin&view=home', 1, 7),
(120, 'Time Table', 'View Your Time table', 'time_table.gif', 'index.php?module=os_teachers&view=no_module', 1, 6),
(121, 'Report Card', 'View your progress card', 'report_card.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(122, 'Assignments', 'View your assignments', 'assignments.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(123, 'Homework', 'Your homework details', 'homework.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(124, 'Quiz ', 'Take part in a quiz ', 'quiz.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(125, 'Holidays', 'View the coming holidays', 'holidays.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(126, 'Messages', 'View your Messages Inbox', 'messages.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(127, 'Forums', 'view and share thoughts in public forums', 'forums.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(128, 'Tutorials/Resources', 'The latest tutorials/resources', 'resources.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(129, 'Fees', 'View about your fess details', 'fees.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(130, 'Books', 'Manage book details', 'books.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(131, 'Settings', 'Edit your profile and settings', 'settings.gif', 'index.php?module=os_teachers&view=no_module', NULL, 6),
(132, 'Time Table', 'View Your Time table', 'time_table.gif', 'index.php?module=os_pages&view=error', 1, 3),
(133, 'Report Card', 'View your progress card', 'report_card.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(134, 'Assignments', 'View your assignments', 'assignments.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(135, 'Homework', 'Your homework details', 'homework.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(136, 'Quiz ', 'Take part in a quiz ', 'quiz.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(137, 'Holidays', 'View the coming holidays', 'holidays.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(138, 'Messages', 'View your Messages Inbox', 'messages.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(139, 'Forums', 'view and share thoughts in public forums', 'forums.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(140, 'Tutorials/Resources', 'The latest tutorials/resources', 'resources.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(141, 'Fees', 'View about your fess details', 'fees.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(142, 'Books', 'Search through the books available', 'books.gif', 'index.php?module=os_pages&view=error', NULL, 3),
(143, 'Blog', 'O-S Official Blog', 'default', 'http://open-school.org', 1, 4),
(144, 'Forums', 'Open-School Public Forums', 'default', 'http://open-school.org/forum/categories.php', 2, 4),
(145, 'Documentation', 'Open-School Wiki', 'default', 'http://open-school.org/docs.html', 3, 4),
(146, 'Developers', 'O-S DEVELOPERS', 'default', 'http://open-school.org/forum/?CategoryID=3', 4, 4),
(147, 'Modules', 'Open Source', 'default', 'http://open-school.org/modules.html', 5, 4),
(148, 'Download', 'Save Children', 'default', 'http://open-school.org/download.html', 7, 4),
(149, 'Report Bugs', 'Bugs', 'default', 'http://open-school.org/forum/?CategoryID=2', 8, 4),
(150, 'Donate', 'Donate Open-School', 'default', 'http://open-school.org/donate.html', 8, 4),
(151, 'General Settings', 'General website settings', 'default', 'index.php?module=os_admin&view=settings', 2, 7),
(152, 'Donate', 'Donate Open-School Development', 'icon', 'http://open-school.org/donate.html', 8, 2);

-- --------------------------------------------------------

--
-- Table structure for table `modules`
--

CREATE TABLE IF NOT EXISTS `modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(150) NOT NULL,
  `link` varchar(150) NOT NULL,
  `menu_name` varchar(50) NOT NULL,
  `params` text NOT NULL,
  `config` varchar(30) NOT NULL,
  `description` text NOT NULL,
  `icon` varchar(150) NOT NULL,
  `enabled` tinyint(4) NOT NULL,
  `system` tinyint(4) NOT NULL,
  `show_menu` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

--
-- Dumping data for table `modules`
--

INSERT INTO `modules` (`id`, `name`, `link`, `menu_name`, `params`, `config`, `description`, `icon`, `enabled`, `system`, `show_menu`) VALUES
(1, 'os_pages', 'link_id', 'Manage Pages', 'params', 'list', 'Manage Website Pages', 'default.png', 1, 1, 1),
(2, 'os_menu', 'link_id', 'Menu Manager', 'params', 'list', 'Manage website menus', 'icon.png', 1, 1, 1),
(3, 'os_admin', 'link_id', 'Administrator Home', 'params', 'home', 'O-S admin Module', 'default.png', 1, 1, 0),
(4, 'os_login', 'link_id', 'Login Manager', 'params', 'login', 'Login Manager', 'default.png', 1, 1, 0),
(5, 'os_class', 'link_id', 'Manage Class', 'params', 'list', 'Manage Class Details', 'default.png', 1, 1, 1),
(6, 'os_students', 'link_id', 'Manage Students', 'params', 'list', 'Manage Students Records', 'default.png', 1, 1, 1),
(7, 'os_teachers', 'link_id', 'Manage Teachers', 'params', 'list', 'Manage Teachers Records', 'default.png', 1, 1, 1),
(8, 'os_news', 'link_id', 'Manage News', 'params', 'show', 'Manage Website News', 'default.png', 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `comment` tinyint(4) NOT NULL,
  `display` int(11) NOT NULL,
  `subject` varchar(150) NOT NULL,
  `description` text NOT NULL,
  `body` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` date NOT NULL,
  `ending_at` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `news`
--

INSERT INTO `news` (`id`, `comment`, `display`, `subject`, `description`, `body`, `created_by`, `created_at`, `ending_at`) VALUES
(1, 1, 1, 'Open-School Launched', '<p>Open - School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents &amp; management ...</p>', '<p>Open - School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents &amp; management. This management software very gracefully handles all the requirements for easy school management. The integrated content managment system and a news managment system also allows you to use this software as content publishing website, blog or your bussiness website. The software being web based can be accessed from anywhere in the world, which enables the students, teachers, parents &amp; the management be in touch with each other at all times.</p>\r\n<p><br />The Open - School has got an integrated content managment system allows you to use this software? as a content publishing website, blog or your bussiness website. This will help you to bring the user areas? , school/college informations and other informations under one roof.</p>\r\n<p><br />The Open - School has an advanced user area. It includes teacher, parents, students and managment areas. <br />Each user got his own user areas and all the user activities and informations are arranged within the? user areas. Users can create profiles and participate in other activities to show their Identities.<br /><br /><br />The Open - School basic architecture is based on modules. Many? O-S communtiy modules or user modules can be integrated at any time. The module developement and installations are simple as a mouse click. Module acess control makes the o-s better.<br /><br />The Open-School is an open source school mangment software. The codes and other libraries are free as this is a GNU project. The open-school donations are dedicated to further development and helping students to study.</p>\r\n<p><img src="library/tiny_mce/plugins/emotions/img/smiley-smile.gif" border="0" alt="Smile" title="Smile" /></p>', 1, '2009-03-14', '0000-00-00'),
(2, 1, 1, 'Why Open-School ?', '<p>The parents of students are very busy now a days, this school management system helps the parents monitor their children from anywhere. They can check their children''s academic performance from ...</p>', '<p style="text-align: justify;">The parents of students are very busy now a days, this school management system helps the parents monitor their children from anywhere. They can check their children''s academic performance from a remote location. They can also deposit the school fees, bus fees etc., using online secured payment integrated with this application <em>(not available in the base version)</em>. Using this school management system the users can see the students class attendance in various formats, day-wise, monthly attendance, session or total attendance <em>(not available in the base version) </em>. Marks or report card can be viewed or added <em>(not available in the base version) </em>. Assignment''s &amp; homework'' s can be viewed or posted using this application <em>(not available in the base version) </em>. Online leave applications can also be filed by students which gets viewed when the teachers take the daily attendance Books, apparels &amp; other essential items can be bought online using the online shopping cart included with the school management system <em>(not available in the base version)</em>. School and class notices can also be posted using this application The School Management System also has a built in forum which develops an online student teacher community over the net, sharing each others ideas.</p>', 1, '2009-03-14', '0000-00-00'),
(3, 1, 1, 'Open - School Modules', '<p>Open - School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents ...</p>', '<p>Open - School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents &amp; management. This management software very gracefully handles all the requirements for easy school management. The integrated content managment system and a news managment system also allows you to use this software as content publishing website, blog or your bussiness website. The software being web based can be accessed from anywhere in the world, which enables the students, teachers, parents &amp; the management be in touch with each other at all times.The Current version (v1.0) is the base version of the open-school project. The modules available in the basic version are:</p>\r\n<h3>OS_NEWS v1</h3>\r\n<p>The basic news managment system allowing you to manage the news</p>\r\n<h3>OS_PAGES v1</h3>\r\n<p>The basic content managment module for managing the website pages</p>\r\n<h3>OS_STUDNETS v1<br /></h3>\r\n<p>The studnets framework module for allowing students to login and manage their user area</p>\r\n<h3>OS_TEACHERS v1<br /></h3>\r\n<p>The teachers framework module for allowing teachers to login and manage their user area</p>\r\n<h3>OS_ADMIN v1<br /></h3>\r\n<p>The Core O-S admin modules to manage menu, modules and other system settings</p>\r\n<p>? </p>', 1, '2009-03-14', '0000-00-00');

-- --------------------------------------------------------

--
-- Table structure for table `news_comments`
--

CREATE TABLE IF NOT EXISTS `news_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `comment` text NOT NULL,
  `by` int(11) NOT NULL,
  `at` date NOT NULL,
  `news_id` int(11) NOT NULL,
  `approved` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `news_comments`
--

INSERT INTO `news_comments` (`id`, `comment`, `by`, `at`, `news_id`, `approved`) VALUES
(1, 'Yah..Looks Cool', 1, '2009-03-14', 3, 1),
(2, 'Looks Great!!', 1, '2009-03-14', 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `notices`
--

CREATE TABLE IF NOT EXISTS `notices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `notice` text NOT NULL,
  `from` int(11) NOT NULL,
  `to` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `notices`
--


-- --------------------------------------------------------

--
-- Table structure for table `pages`
--

CREATE TABLE IF NOT EXISTS `pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL,
  `body` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` date NOT NULL,
  `type` tinyint(4) NOT NULL,
  `display` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Dumping data for table `pages`
--

INSERT INTO `pages` (`id`, `title`, `body`, `created_by`, `created_at`, `type`, `display`) VALUES
(1, 'Welcome to Open - School', '<p>Open-School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents &amp; management. This management software very gracefully handles all the requirements for easy school management. The integrated content managment system and a news managment system also allows you to use this software as content publishing website, blog or your bussiness website. The software being web based can be accessed from anywhere in the world, which enables the students, teachers, parents &amp; the management be in touch with each other at all times.<strong><br /><a href="#">Read More...</a></strong></p>\r\n<h2>Open - School Features</h2>\r\n<table style="width: 515px; height: 578px;" border="0">\r\n<tbody>\r\n<tr style="vertical-align: top;">\r\n<td style="width: 280px;">\r\n<h3 style="text-align: left;">Integrated CMS</h3>\r\n<h3 style="text-align: left;"><img src="images/content/community.png" border="0" alt="Open-School" title="Open-School" width="293" height="195" /></h3>\r\n<p>The Open-School has got an integrated content managmnet system allows you to use this software as a content publishing website, blog or your bussiness website.<a href="#"> <br />Learn more!</a></p>\r\n</td>\r\n<td style="width: 20px;"></td>\r\n<td>\r\n<h3 style="text-align: left;">Advanced User Areas</h3>\r\n<h3 style="text-align: left;"><img src="images/content/students.png" border="0" alt="Open-School" title="Open-School" width="293" height="195" /></h3>\r\n<p>The Open-School has got an advanced user area. It includes teacher, parents, students and managment areas. Users can create profiles to show their Identities.? ?  <a href="#"><br />Learn more!</a></p>\r\n</td>\r\n</tr>\r\n<tr style="vertical-align: top;">\r\n<td>\r\n<h3 style="text-align: left;">ModuleManagment</h3>\r\n<h3 style="text-align: left;"><img src="images/content/codes.png" border="0" alt="Open-School" title="Open-School" width="293" height="195" /></h3>\r\n<p>The Open - School basic architecture is based on modules. O-S communtiy modules or user modules can be integrated at any time. The module developement and installations are simple as a mouse click. Module acess control makes the? O-S better <a href="#"><br />Learn more!</a></p>\r\n</td>\r\n<td></td>\r\n<td>\r\n<h3 style="text-align: left;"><span class="style1">OpenSource</span></h3>\r\n<h3 style="text-align: left;"><img src="images/content/open.png" border="0" alt="Open-School" title="Open-School" width="293" height="195" /></h3>\r\n<p>The Open-School is an open source school mangment software. The codes and other libraries are free as this is a GNU project. The open-school donations are dedicated to further development and helping students to study. <a href="#"><br />Learn more!</a></p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', 1, '2009-03-14', 0, 0),
(2, 'Concept', '<p>KFSF?  is a community dedicated to the scattered Free Software developers in Kerala. As KFSF means Kerala Free Software Foundation, it is a new  venture under the guidance of Mahatma Gandhi University Kottayam to promote  Free Software development and co-ordinate the developers. All the free software projects can be evaluated or seek support through KFSF.KFSF?  is a community dedicated to the scattered Free Software developers in Kerala. As KFSF means Kerala Free Software Foundation.</p>\r\n<p><a href="#">Read More...</a></p>\r\n<h2>Featured Projects</h2>\r\n<table border="0">\r\n<tbody>\r\n<tr style="vertical-align: top;">\r\n<td style="width: 280px;">\r\n<h3><a href="http://eyeos.com/en/?section=schools"><span style="color: #000000;">Management System</span></a></h3>\r\n<img src="images/content/classroom.png" border="0" width="293" height="195" />KFSF let u to organize and conduct your projects as GNU Free Softwares.			Mini projects , Main projects and other research programs under the Mahatma Gandhi University will be coordinated and monitored with full support and expert guidance  through topic.KFSF let u to organize and conduct your projects as GNU Free Softwares.			Mini projects , Main projects and other research programs under the Mahatma Gandhi University will be coordinated and monitored with full support and expert guidance  through topic.<br /> <a href="#">Learn more!</a> <br /> <br /></td>\r\n<td style="width: 20px;"></td>\r\n<td>\r\n<h3>Project Management</h3>\r\nKFSF let u to organize and conduct your projects as GNU Free Softwares.			Mini projects , Main projects and other research programs under the Mahatma Gandhi University will be coordinated and monitored with full support and expert guidance  through topic.KFSF let u to organize and conduct your projects as GNU Free Softwares.			Mini projects , Main projects and other research programs under the Mahatma Gandhi University will be coordinated and monitored with full support and expert guidance  through topic.<br /> <a href="#">Learn more!</a> <br /> <br /></td>\r\n</tr>\r\n<tr style="vertical-align: top;">\r\n<td>\r\n<h3><a href="http://eyeos.com/en/?section=public-environments"><span style="color: #000000;">Public Forums</span></a></h3>\r\nKFSF let u to organize and conduct your projects as GNU Free Softwares.			Mini projects , Main projects and other research programs under the Mahatma Gandhi University will be coordinated and monitored with full support and expert guidance  through topic.KFSF let u to organize and conduct your projects as GNU Free Softwares.			Mini projects , Main projects and other research programs under the Mahatma Gandhi University will be coordinated and monitored with full support and expert guidance  through topic.<br /> <a href="#">Learn more!</a></td>\r\n<td></td>\r\n<td>\r\n<h3><span class="style1">WIWiX GNU Linu</span>x</h3>\r\nKFSF let u to organize and conduct your projects as GNU Free Softwares.			Mini projects , Main projects and other research programs under the Mahatma Gandhi University will be coordinated and monitored with full support and expert guidance  through topic.KFSF let u to organize and conduct your projects as GNU Free Softwares.			Mini projects , Main projects and other research programs under the Mahatma Gandhi University will be coordinated and monitored with full support and expert guidance  through topic..<br /> <a href="#">Learn more!</a></td>\r\n</tr>\r\n</tbody>\r\n</table>', 1, '2009-03-10', 0, 0),
(3, 'Modules', '<p>Open - School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents &amp; management. This management software very gracefully handles all the requirements for easy school management. The integrated content managment system and a news managment system also allows you to use this software as content publishing website, blog or your bussiness website. The software being web based can be accessed from anywhere in the world, which enables the students, teachers, parents &amp; the management be in touch with each other at all times.</p>\r\n<p><br />The Open - School has got an integrated content managment system allows you to use this software? as a content publishing website, blog or your bussiness website. This will help you to bring the user areas? , school/college informations and other informations under one roof.</p>\r\n<p><br />The Open - School has an advanced user area. It includes teacher, parents, students and managment areas. <br />Each user got his own user areas and all the user activities and informations are arranged within the? user areas. Users can create profiles and participate in other activities to show their Identities.<br /><br /><br />The Open - School basic architecture is based on modules. Many? O-S communtiy modules or user modules can be integrated at any time. The module developement and installations are simple as a mouse click. Module acess control makes the o-s better.<br /><br />The Open-School is an open source school mangment software. The codes and other libraries are free as this is a GNU project. The open-school donations are dedicated to further development and helping students to study.</p>', 1, '2009-03-10', 0, 0),
(4, 'Support', '<p>Open - School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents &amp; management. This management software very gracefully handles all the requirements for easy school management. The integrated content managment system and a news managment system also allows you to use this software as content publishing website, blog or your bussiness website. The software being web based can be accessed from anywhere in the world, which enables the students, teachers, parents &amp; the management be in touch with each other at all times.</p>\r\n<p><br />The Open - School has got an integrated content managment system allows you to use this software as a content publishing website, blog or your bussiness website. This will help you to bring the user areas , school/college informations and other informations under one roof.</p>\r\n<p><br />The Open - School has an advanced user area. It includes teacher, parents, students and managment areas. <br />Each user got his own user areas and all the user activities and informations are arranged within the user areas. Users can create profiles and participate in other activities to show their Identities.<br /><br /><br />The Open - School basic architecture is based on modules. Many O-S communtiy modules or user modules can be integrated at any time. The module developement and installations are simple as a mouse click. Module acess control makes the o-s better.<br /><br />The Open-School is an open source school mangment software. The codes and other libraries are free as this is a GNU project. The open-school donations are dedicated to further development and helping students to study.</p>', 1, '2009-03-10', 0, 0),
(5, 'Documentation', '<p>Open - School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents &amp; management. This management software very gracefully handles all the requirements for easy school management. The integrated content managment system and a news managment system also allows you to use this software as content publishing website, blog or your bussiness website. The software being web based can be accessed from anywhere in the world, which enables the students, teachers, parents &amp; the management be in touch with each other at all times.</p>\r\n<p><br />The Open - School has got an integrated content managment system allows you to use this software as a content publishing website, blog or your bussiness website. This will help you to bring the user areas , school/college informations and other informations under one roof.</p>\r\n<p><br />The Open - School has an advanced user area. It includes teacher, parents, students and managment areas. <br />Each user got his own user areas and all the user activities and informations are arranged within the user areas. Users can create profiles and participate in other activities to show their Identities.<br /><br /><br />The Open - School basic architecture is based on modules. Many O-S communtiy modules or user modules can be integrated at any time. The module developement and installations are simple as a mouse click. Module acess control makes the o-s better.<br /><br />The Open-School is an open source school mangment software. The codes and other libraries are free as this is a GNU project. The open-school donations are dedicated to further development and helping students to study.</p>', 1, '2009-03-10', 0, 0),
(6, 'Developers', '<p>Open - School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents &amp; management. This management software very gracefully handles all the requirements for easy school management. The integrated content managment system and a news managment system also allows you to use this software as content publishing website, blog or your bussiness website. The software being web based can be accessed from anywhere in the world, which enables the students, teachers, parents &amp; the management be in touch with each other at all times.</p>\r\n<p><br />The Open - School has got an integrated content managment system allows you to use this software as a content publishing website, blog or your bussiness website. This will help you to bring the user areas , school/college informations and other informations under one roof.</p>\r\n<p><br />The Open - School has an advanced user area. It includes teacher, parents, students and managment areas. <br />Each user got his own user areas and all the user activities and informations are arranged within the user areas. Users can create profiles and participate in other activities to show their Identities.<br /><br /><br />The Open - School basic architecture is based on modules. Many O-S communtiy modules or user modules can be integrated at any time. The module developement and installations are simple as a mouse click. Module acess control makes the o-s better.<br /><br />The Open-School is an open source school mangment software. The codes and other libraries are free as this is a GNU project. The open-school donations are dedicated to further development and helping students to study.</p>', 1, '2009-03-10', 0, 0),
(7, 'Company', '<p>Open - School is an open source comprehensive web-based School Management Software. It is designed for better interaction between students, teachers,parents &amp; management. This management software very gracefully handles all the requirements for easy school management. The integrated content managment system and a news managment system also allows you to use this software as content publishing website, blog or your bussiness website. The software being web based can be accessed from anywhere in the world, which enables the students, teachers, parents &amp; the management be in touch with each other at all times.</p>\r\n<p><br />The Open - School has got an integrated content managment system allows you to use this software as a content publishing website, blog or your bussiness website. This will help you to bring the user areas , school/college informations and other informations under one roof.</p>\r\n<p><br />The Open - School has an advanced user area. It includes teacher, parents, students and managment areas. <br />Each user got his own user areas and all the user activities and informations are arranged within the user areas. Users can create profiles and participate in other activities to show their Identities.<br /><br /><br />The Open - School basic architecture is based on modules. Many O-S communtiy modules or user modules can be integrated at any time. The module developement and installations are simple as a mouse click. Module acess control makes the o-s better.<br /><br />The Open-School is an open source school mangment software. The codes and other libraries are free as this is a GNU project. The open-school donations are dedicated to further development and helping students to study.</p>', 1, '2009-03-10', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `parents`
--

CREATE TABLE IF NOT EXISTS `parents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(30) NOT NULL,
  `password` varchar(30) NOT NULL,
  `first_name` varchar(30) NOT NULL,
  `last_name` varchar(30) NOT NULL,
  `class_id` int(11) NOT NULL,
  `address` varchar(150) NOT NULL,
  `about` varchar(150) NOT NULL,
  `student_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `parents`
--


-- --------------------------------------------------------

--
-- Table structure for table `quotes`
--

CREATE TABLE IF NOT EXISTS `quotes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `quote` varchar(150) NOT NULL,
  `by` varchar(150) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `quotes`
--


-- --------------------------------------------------------

--
-- Table structure for table `students`
--

CREATE TABLE IF NOT EXISTS `students` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(30) NOT NULL,
  `password` varchar(30) NOT NULL,
  `image` varchar(150) NOT NULL,
  `first_name` varchar(30) NOT NULL,
  `last_name` varchar(30) NOT NULL,
  `dob` date NOT NULL,
  `class` int(11) NOT NULL,
  `regno` varchar(30) NOT NULL,
  `rollno` int(11) NOT NULL,
  `parent_name` varchar(30) NOT NULL,
  `address` text NOT NULL,
  `about` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `students`
--

INSERT INTO `students` (`id`, `username`, `password`, `image`, `first_name`, `last_name`, `dob`, `class`, `regno`, `rollno`, `parent_name`, `address`, `about`) VALUES
(1, 'osstudent', 'osstudent', 'angelina.jpg', 'Angelina', 'Jimmy', '2008-02-11', 1, '2001', 31, 'Jimmy Philip', 'Angelina Jimmy <br/>\r\nC/o Jimmy Philip <br/>\r\nDistrict B13,<br/>\r\nHash Road.\r\n\r\n', 'Hi,<br/>\r\nMy name is Angelina. They call me Angel.<br/>\r\nI''m a cool girl <br/>'),
(3, 'username', 'password', '', 'Grigory', 'Lime', '0000-00-00', 2, '', 0, '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `teachers`
--

CREATE TABLE IF NOT EXISTS `teachers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(30) NOT NULL,
  `password` varchar(30) NOT NULL,
  `first_name` varchar(30) NOT NULL,
  `last_name` varchar(30) NOT NULL,
  `image` varchar(150) NOT NULL,
  `address` text NOT NULL,
  `subject` varchar(30) NOT NULL,
  `dob` date NOT NULL,
  `qualifications` text NOT NULL,
  `about` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `teachers`
--

INSERT INTO `teachers` (`id`, `username`, `password`, `first_name`, `last_name`, `image`, `address`, `subject`, `dob`, `qualifications`, `about`) VALUES
(1, 'osteacher', 'osteacher', 'Jenny', 'Wheat', 'jenny.jpg', 'Jenny Wheat <br/>\r\nCapital Line B19/8 <br/>\r\nHash City <br/>\r\n', 'English', '1988-02-24', 'BA English<br/>\r\nAdvanced Reserch in English Poetry', 'I''m Jenny <br/>\r\nCool and Very Friendly <br/>\r\nn'' i love teaching <br/>\r\n;)');

-- --------------------------------------------------------

--
-- Table structure for table `user_groups`
--

CREATE TABLE IF NOT EXISTS `user_groups` (
  `id` tinyint(4) NOT NULL,
  `name` varchar(30) NOT NULL,
  `module` varchar(30) NOT NULL,
  `default` varchar(30) NOT NULL,
  `config` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user_groups`
--

