<?php
/**
* @file		    process/modules.php
* @description	The update file for updating field values
* @parameters   c = controller, v = view, id = id
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
include_once('../../../config.php');
include_once(MODULES_PATH.'os_admin/models/install.php');
$module = parse_params();
if($module)
{
{
 if(is_installed($module['name']))
 { redirect_to('index.php?module=os_admin&view=modules&action=install&notice=Module already installed'); }
 elseif (file_exists(MODULES_PATH.$module['name'].'/install.php'))
 { include_once(MODULES_PATH.$module['name'].'/install.php');}
 else{
  redirect_to('index.php?module=os_admin&view=modules&action=install&notice=Cannot found install.php in the module directory');}
}
if($install_data)
{
if(install_module($install_data))
redirect_to('index.php?module=os_admin&view=modules&action=install&notice=Module Installed Sucessfully');
}
}
?>
