<?php
/**
* @file		    controllers/class.php
* @description	The controller file for the class administration
* @parameters   v = view
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
//no direct access
defined( '_OS' ) or die( 'Restricted access' );
// Including the models
include_once(MODULES_PATH.'os_class/models/class.php');
include_once(MODULES_PATH.'os_teachers/models/teachers.php');
//Getting parameters.
if(!$id)
{$id = $_GET['id'];}
if(!$view)
{$view = $_GET['view'];} 
//Storing the Class Informations
$class = list_class();
$teachers = list_teachers();
//$teachers = list_teachers();
//Switching with the view
switch ($view)
{
case "list":
check_authentication('admins');
include(MODULES_PATH.'os_class/views/list.php');
break;	
case "new":
check_authentication('admins');
$action = 'add';
include(MODULES_PATH.'os_class/views/action.php');
break;	
case "delete":
check_authentication('admins');
delete_class($id);
redirect_to('index.php?module=os_class&view=list');
break;
case "edit":
check_authentication('admins');
$action = 'edit';
$class = class_details($id);
include(MODULES_PATH.'os_class/views/action.php');
break;
}
?>