<?php
/**
* @module	    os_menu
* @file		    controller.php
* @parameters   id = page id
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
//no direct access
defined( '_OS' ) or die( 'Restricted access' );
// Including the Model for The News
include_once(MODULES_PATH.'os_menu/models/menu.php');
include_once(MODULES_PATH.'os_news/models/news.php');
include_once(MODULES_PATH.'os_pages/models/pages.php');
include_once(MODULES_PATH.'os_students/models/students.php');
include_once(MODULES_PATH.'os_class/models/class.php');
//Getting params
if(!$id)
{$id = $_GET['id'];}
if(!$view)
{$view = $_GET['view'];}
if(!$view)
{$view = 'list';}
//Switching with view.
switch ($view)
{
case "show":
 switch ($id)
 {
  case "1":
  $top_menu = get_menu($id);
  include(MODULES_PATH.'os_menu/templates/top.php');
  break;
  case "2":
  $main_menu = get_menu($id);
  include(MODULES_PATH.'os_menu/templates/main.php');
  break;
  case "3":
  $right_menu = get_menu($id);
  include(MODULES_PATH.'os_menu/templates/right.php');
  break;
  case "4":
  $footer_menu = get_menu($id);
  include(MODULES_PATH.'os_menu/templates/footer.php');
  break;
  case "5":
  $user = user_profile('students',$_SESSION['user']['id']);
  $usermenu = get_menu($id);
  include(MODULES_PATH.'os_menu/views/users.php');
  break;
  case "6":
  $user = user_profile('teachers',$_SESSION['user']['id']);
  $usermenu = get_menu($id);
  include(MODULES_PATH.'os_menu/views/users.php');
  break;
  case "7":
  $admin_menu = get_menu($id);
  $modules = list_modules_menu();
  include(MODULES_PATH.'os_menu/templates/admin.php');
  break;
 }
break;
case "list":
check_authentication('admins');
if(!$id){$id=1;}
$menu = get_menu($id);
include(MODULES_PATH.'os_menu/templates/list.php');
break;
case "edit":
check_authentication('admins');
$action = 'edit'; 
$menu = get_menu_item($id);
include(MODULES_PATH.'os_menu/views/action.php');
break;
case "add":
check_authentication('admins');
$action = 'add';
$news = display_news();
$pages = list_pages();
$modules = list_modules();
include(MODULES_PATH.'os_menu/views/forms/form1.php');
break;
case 'delete':
check_authentication('admins');
delete_menu($id);
redirect_to('index.php?module=os_menu&view=list&id='.$_GET['from']);	 
break;
case 'form':
check_authentication('admins');
$to = $_GET['to'];
include(MODULES_PATH.'os_menu/views/forms/form.php');
break;
}
?>