<?php
/**
* @module	    os_pages
* @file		    controller.php
* @parameters   id = page id
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
//no direct access
defined( '_OS' ) or die( 'Restricted access' );
// Including the Model for The os_pages.
include_once(MODULES_PATH.'os_news/models/news.php');
include_once(MODULES_PATH.'os_news/models/comments.php');
//Getting params
if(!$id)
{$id = $_GET['id'];}
if(!$view)
{$view = $_GET['view'];} 
if(!id)
{$id = HOME_PAGE;}
if(!$view)
{$view = 'show';}
//Switching With News View.
switch ($view)
{
case "show":
//If the news id exists. Else show news archieve
if($id)
{
$news = find_news($id);
include(MODULES_PATH.'os_news/views/show.php');
}else{
$news = display_news();
include(MODULES_PATH.'os_news/views/archeive.php');
}
break;
case "new":
check_authentication('admins');
$action='add';
include(MODULES_PATH.'os_news/templates/action.php');
break;
case "edit":
check_authentication('admins');
if($id)
{
$news = find_news($id);
$action = 'edit';
include(MODULES_PATH.'os_news/templates/action.php');
}else{
redirect_to('index.php?module=news'); 
}
break;
case "delete":
check_authentication('admins');
if($id)
{
delete_news($id);	 
}else{
redirect_to('index.php?module=os_news&view=show'); 
}
redirect_to('index.php?module=os_news&view=show'); 
break;
case "latest":
$latest = latest_news(NO_LATEST);
include(MODULES_PATH.'os_news/views/latest.php');
break;
}
?>