<?php
/**
* @file		    update/comment.php
* @description	The update file for updating field values
* @parameters   c = controller, v = view, id = id
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
include_once('../../../config.php');
include_once(MODULES_PATH.'os_news/models/comments.php');
$action = $_GET['action'];
$value = $_GET['value'];
$id = $_GET['id'];
$news_id = $_GET['news_id'];
$params = parse_params();
switch($action)
{
	case 'delete':
	delete_comment($id);
	flash_notice('Comment Deleted');
	redirect_to('index.php?module=os_news&view=show&id='.$news_id);
	break;
	case 'approve':
	if($value)
	 {$value = 0;}
	else
	 {$value = 1;}
	approve_comment($id,$value);
	flash_notice('Comment Approvel Toggled');
	redirect_to('index.php?module=os_news&view=show&id='.$news_id);
	break;
	case 'add':
if(new_comment($params))
{
flash_notice('Comment Added');
redirect_to('index.php?module=os_news&view=show&id='.$params['news_id']);
}
else
{
flash_notice('Your comment cannot be added. Contact your administrator for details');
redirect_to('index.php?module=os_news&view=show&id='.$params['news_id']);
}
}

?>