<?php
/**
* @module	    os_pages
* @file		    controller.php
* @parameters   id = page id
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
//no direct access
defined( '_OS' ) or die( 'Restricted access' );
// Including the Model for The os_pages.
include_once(MODULES_PATH.'os_pages/models/pages.php');
//Getting params
if(!$id)
{$id = $_GET['id'];}
if(!$view)
{$view = $_GET['view'];} 
if(!id)
{$id = HOME_PAGE;}
//Switching with the view
if(!$view)
{$view = 'show';}
switch ($view)
{
case "list":
check_authentication('admins');
$pages = list_pages();
include(MODULES_PATH.'os_pages/views/list.php');
break;
case "show":
if(!$id)
{$id = HOME_PAGE;}
$pages = get_page($id);
include(MODULES_PATH.'os_pages/templates/show.php');
break;
case "edit":
check_authentication('admins');
if(!$id)
{redirect_to('index.php');}
$pages = get_page($id);
$action = 'edit';
include(MODULES_PATH.'os_pages/templates/edit.php');
break;
case "new":
check_authentication('admins');
$action = 'add';
include(MODULES_PATH.'os_pages/templates/edit.php');
break;
case "delete":
check_authentication('admins');
if(!$id)
{redirect_to('index.php');}
if(delete_page($id))
{redirect_to('index.php?module=os_pages');}
break;
}
?>