<?php
/**
* @file		    os_pages/models/pages.php
* @package		Open-School v1.0
* @description	os_pages module model
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
/*****
	 * returns array of pages from database
	 * @return array
	 * @param int $id
******/
	function get_page($id)
	{
		$connection = db_connect();
	    $query = sprintf("SELECT 
		          pages.id as id, pages.title, pages.body, pages.created_by, pages.created_at,
				  admins.username 
	              FROM 
				  pages, admins
				  WHERE 
				  pages.created_by = admins.id AND pages.id = %s",				   
									 mysql_real_escape_string($id)									 
									 );
			$result = mysql_query($query);
   //Checking Whether the Result is Empty.
			$number_of_pages = mysql_num_rows($result);
			if ($number_of_pages == 0) 
			{ return false;	}
			$result = result_to_array($result);
			return $result;
	}
/*****
	 * Updates a page
	 * @param array $params
	 * @return bool	 
******/
	function update_page($params)
	{
	  $connection = db_connect();
	  $query = sprintf("update pages 
	                       set 
											 title = '%s',
											 body = '%s',
											 created_by = %s,
											 created_at = '%s'
						  where
						                     id = %s
	                     ", 
											 mysql_real_escape_string($params['title']),
											 mysql_real_escape_string($params['body']),
											 mysql_real_escape_string($params['created_by']),
											 mysql_real_escape_string($params['created_at']),
 											 mysql_real_escape_string($params['id']));
		$result = mysql_query($query);
		echo $query;
		if (!$result)
		{ return false;
		}else{
		return true;
		}
	}
/*****
	 * creates a page
	 * @param array $params
	 * @return bool
******/
	function create_page($params)
	{
	  $connection = db_connect();
		
	  $query = sprintf("insert into pages 
	                       set 
											 title = '%s',
											 body = '%s',
											 created_by = %s,
											 created_at = NOW()
	                     ", 
											 mysql_real_escape_string($params['title']),
											 mysql_real_escape_string($params['body']),
											 mysql_real_escape_string($params['created_by']));
		$result = mysql_query($query);
		if (!$result)
		{ return false; }
		else
		{ return true;  }
	}	
/*****
	 * deletes a page
	 * @param int $id
	 * @return bool
******/
	function delete_page($id)
	{
	  $connection = db_connect();
		
	  $query = sprintf("delete from pages where id = %s", 
											 mysql_real_escape_string($id)
										 );
		$result = mysql_query($query);
		if (!$result)
		{ return false;	}
		else
		{ return true;  }
	}
/*****
	 * List pages
	 * @param NULL
	 * @return array of pages
******/
 function list_pages()
  {
		$connection = db_connect();
	    $query = "SELECT * FROM pages";
			$result = mysql_query($query);
   //Checking Whether the Result is Empty.
			$number_of_pages = mysql_num_rows($result);
			if ($number_of_pages == 0) 
			{
			  return false;	
			}
			$result = result_to_array($result);
			return $result;
	}
?>