<?php
/**
* @file		    controllers/students.php
* @description	The controller file for the students
* @parameters   v = view
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
//no direct access
defined( '_OS' ) or die( 'Restricted access' );
include_once(MODULES_PATH.'os_students/models/students.php');
include_once(MODULES_PATH.'os_class/models/class.php');
//Storind the Class
$classes = list_class();
//Getting the user model
$view = $_GET['view'];
$class = $_GET['class'];
$id = $_GET['id'];
//Switching with the view
if(!$view)
{$view = 'list';}
switch ($view)
{
case "list":
check_authentication('admins');
if(!$class){$class = 1;}
$students = list_students($class);
$classes = list_class();
include(MODULES_PATH.'os_students/views/list.php');
break;
case "profile":
$user = user_profile('students',$id);
include(MODULES_PATH.'os_students/views/profile.php');
break;	
case "delete":
check_authentication('admins');
delete_student($id);
redirect_to('index.php?module=os_students&view=list&class=1');
break;
case "new":
check_authentication('admins');
$action = 'add';
$student = user_profile('students',$id);
include(MODULES_PATH.'os_students/views/action.php');
break;	
case "edit":
$action = 'edit';
check_authentication('admins');
$student = user_profile('students',$id);
include(MODULES_PATH.'os_students/views/action.php');
break;	
}
?>