<?php
/**
* @file		    index.php
* @description	The index file. Loads the module template?
* @parameters   module = module, view = view, id = id
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
//Starts a session.
session_start();
//Set flag that this is a parent file.
define( '_OS', 1 );
//Including the configration file.
include('config.php');
//Index parameters.
$module = $_GET['module'];
$view = $_GET['view'];
//Loading Default Module.
if(!is_module($module))
 { $module = DEFAULT_MODULE; }
//Loading Template.
load_template($module,$view)
?>