<?php
/**
* @file		    os_menu/models/menu.php
* @description	The model file for the os_menu
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
/*****
	 * returns array of menu from database table 'menu' where type is $id
	 * @return array
	 * @param int $id
******/
	function get_menu($id)
	{
	 $connection = db_connect();			
	    $query = sprintf("SELECT 
		          * 
	              FROM 
				  menu
				  WHERE 
				  menu_type = %s
				  ORDER BY order_by ASC",				   
									 mysql_real_escape_string($id));
			$result = mysql_query($query);
   //Checking Whether the Result is Empty.
			$number_of_news = mysql_num_rows($result);
			if ($number_of_news == 0) 
			{
			  return false;	
			}
			$result = result_to_array($result);
			return $result;
	}
/*****
	 * returns menu item with $id
	 * @return array
	 * @param int $id
******/
	function get_menu_item($id)
	{
	 $connection = db_connect();			
	    $query = sprintf("SELECT 
		          * 
	              FROM 
				  menu
				  WHERE 
				  id = %s",
									 mysql_real_escape_string($id));
			$result = mysql_query($query);
   //Checking Whether the Result is Empty.
			$number_of_news = mysql_num_rows($result);
			if ($number_of_news == 0) 
			{
			  return false;	
			}
			$result = result_to_array($result);
			return $result;
	}
	
	
/*****
	 * Updates  Menu
	 * @param array $params
	 * @return bool	 
******/


	function update_menu($params)
	{
	  $connection = db_connect();
		
	  $query = sprintf("update menu 
	                       set 
											 name = '%s',
											 description = '%s',
											 icon = '%s',
											 link = '%s',
											 order_by = %s,
											 menu_type = %s
						  where
						                     id = %s
	                     ", 
											 mysql_real_escape_string($params['name']),
											 mysql_real_escape_string($params['description']),
											 mysql_real_escape_string($params['icon']),
											 mysql_real_escape_string($params['link']),
											 mysql_real_escape_string($params['order']),
											 mysql_real_escape_string($params['type']),
											 mysql_real_escape_string($params['id']));
		$result = mysql_query($query);
		if (!$result)
		{
		  return false;
		}
		else
		{
		  return true;
		}
		
	}
	


/*****
	 * creates a Menu
	 * @param array $params
	 * @return bool
******/
	function create_menu($params)
	{
	  $connection = db_connect();
		
	  $query = sprintf("insert into menu 
	                       set 
											 name = '%s',
											 description = '%s',
											 icon = '%s',
											 link = '%s',
											 order_by = %s,
											 menu_type = %s
	                     ", 
											 mysql_real_escape_string($params['name']),
											 mysql_real_escape_string($params['description']),
											 mysql_real_escape_string($params['icon']),
											 mysql_real_escape_string($params['link']),
											 mysql_real_escape_string($params['order']),
											 mysql_real_escape_string($params['type']));
		
											 
		$result = mysql_query($query);
		if (!$result)
		{
		  return false;
		}
		else
		{
		  return true;
		}
	}	
/*****
	 * deletes a menu
	 * @param int $id
	 * @return bool
******/
	function delete_menu($id)
	{
	  $connection = db_connect();
		
	  $query = sprintf("delete from menu where id = %s", 
											 mysql_real_escape_string($id)
										 );
		
		$result = mysql_query($query);
		if (!$result)
		{
		  return false;
		}
		else
		{
		  return true;
		}
	}


?>