<?php
/**
* @file		    update/menu.php
* @description	The update file for updating field values
* @parameters   c = controller, v = view, id = id
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
include_once('../../../config.php');
include_once(MODULES_PATH.'os_menu/models/menu.php');
$menu = parse_params();
if($menu)
{
if($menu['action'] == 'add')
 {
 
   if($menu['url'])
    { $menu['link'] = $menu['url']; }else{
	switch ($menu['to'])
	{
	case 'news':
	$menu['link'] = 'index.php?module=os_news&view=show&id='.$menu['link'];
	break;
	case 'pages':
	$menu['link'] = 'index.php?module=os_pages&view=show&id='.$menu['link'];
	break;
	case 'modules':
	$menu['link'] = 'index.php?module='.$menu['link'];
	break;
	}
	}
  if(create_menu($menu))
  {
  redirect_to('index.php?module=os_menu&view=list');
  }
  else{redirect_to('index.php?module=os_menu&view=add');}
 }
elseif($menu['action'] == 'edit')
 {
   if(update_menu($menu))
   { 
   redirect_to('index.php?module=os_menu&view=list');
   }
   else
   {redirect_to('index.php?module=os_menu&view=edit&id='.$menu['id']);}
 }
}
?>