<?php
/**
* @file		    views/news/archeive.php
* @description	The view file for showing the news archeive.
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
echo '<h3 class="heading"> News Archeive </h3>';
if(logged_as('admins'))
{
echo '<a href="index.php?module=os_news&view=new"><img src="'.WEBSITE.APP_ROOT.'/images/system/admin/add.gif" alt="New News" /></a>';
}
echo '<br/>';




if($news)
  {

         foreach($news as $news_row)
		 {
		 if($news_row['display'] || logged_as('admins'))
		 {
		 echo '<h2>';
		 echo '<a class="news_title" href="index.php?module=os_news&view=show&id='.$news_row['id'].'"'.'>';
         echo $news_row['subject'].'</a> <br/>';
		 //Showing the admin controls.
		 if(logged_as('admins'))
		 {
		 echo '<a href="index.php?module=os_news&view=delete&id='.$news_row['id'].'"'.'>';
		 echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/delete.gif" alt="Delete News" /> </a>';
		 echo '<a href="index.php?module=os_news&view=edit&id='.$news_row['id'].'"'.'>';
		 echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/edit.gif" alt="Edit News" /> </a>';
		  if($news_row['comment'])
		   {
		 	echo '<a href="'.MODULES.'os_news/process/news.php?action=comment&id='.$news_row['id'].'&value='.$news_row['comment'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/comment.gif" alt="User Comments Enabled" /> </a>';
		   }else{
		 	echo '<a href="'.MODULES.'os_news/process/news.php?action=comment&id='.$news_row['id'].'&value='.$news_row['comment'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/not_comment.gif" alt="User Comments Disabled" /> </a>';
		   }
		  if($news_row['display'])
		   {
		 	echo '<a href="'.MODULES.'os_news/process/news.php?action=display&id='.$news_row['id'].'&value='.$news_row['display'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/published.gif" alt="News Published" /> </a>';
		   }else{
		 	echo '<a href="'.MODULES.'os_news/process/news.php?action=display&id='.$news_row['id'].'&value='.$news_row['display'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/not_published.gif" alt="News Published" /> </a>';
		   }
		 }
		 
		 echo '</h2>';
		 //End Showing Admin section
		 
         echo '<div class="sidebar-news-title">';
		 echo '<b>   Submitted By : '.$news_row['username'];
		 echo ' on '.$news_row['created_at'].'</b>';
         echo '</div>';
		 echo '<div class="sidebar-news-text">';
		 echo $news_row['description'];
		 echo '</div>';
		 echo '<div class="sidebar-news-continue">';
		 echo '<a href="index.php?module=os_news&view=show&id='.$news_row['id'].'"'.'>';
		 echo 'Read more...</a>';
		 echo '<br/>';
		 echo '</div>';
		 echo '<br/>';
		 } 
         }
   }
else
   {
     echo 'No News Found !';
   }
?>
 
