<?php
/**
* @file		    views/news/show.php
* @description	The view file for showing the news with $id.
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
echo '<div align="left">';
echo '<a href="index.php?module=os_news&view=show"><img src="'.WEBSITE.APP_ROOT.'/images/system/admin/back.gif" alt="Back" /></a>';
if(logged_as('admins'))
{
echo '<a href="index.php?module=os_news&view=new"><img src="'.WEBSITE.APP_ROOT.'/images/system/admin/new.gif" alt="New News" /></a>';
}
echo '</div>';
if($news)
   {
  
         foreach($news as $news_row)
		 {
		 if($news_row['display'] || logged_as('admins'))
		 {
		 echo '<h2>';
		 echo '<a class="news_title" href="index.php?module=os_news&view=show&id='.$news_row['id'].'"'.'>';
         echo $news_row['subject'].'</a> <br/>';
		 //Showing the admin controls.
		 if(logged_as('admins'))
		 {
		 echo '<a href="index.php?module=os_news&view=delete&id='.$news_row['id'].'"'.'>';
		 echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/delete.gif" alt="Delete News" /> </a>';
		 echo '<a href="index.php?module=os_news&view=edit&id='.$news_row['id'].'"'.'>';
		 echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/edit.gif" alt="Edit News" /> </a>';
		  if($news_row['comment'])
		   {
		 	echo '<a href="'.MODULES.'os_news/process/news.php?action=comment&id='.$news_row['id'].'&value='.$news_row['comment'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/comment.gif" alt="User Comments Enabled" /> </a>';
		   }else{
		 	echo '<a href="'.MODULES.'os_news/process/news.php?action=comment&id='.$news_row['id'].'&value='.$news_row['comment'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/not_comment.gif" alt="User Comments Disabled" /> </a>';
		   }
		  if($news_row['display'])
		   {
		 	echo '<a href="'.MODULES.'os_news/process/news.php?action=display&id='.$news_row['id'].'&value='.$news_row['display'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/published.gif" alt="News Published" /> </a>';
		   }else{
		 	echo '<a href="'.MODULES.'os_news/process/news.php?action=display&id='.$news_row['id'].'&value='.$news_row['display'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/not_published.gif" alt="News Published" /> </a>';
		   }
		 }
		 }
		 //Showing the News.
		 echo '</h2>';
         echo '<div class="sidebar-news-title">';
		 echo '<b>   Submitted By : '.$news_row['username'];
		 echo ' on '.$news_row['created_at'].'</b>';
         echo '</div>';
		 echo '<div class="sidebar-news-text">';
		 echo $news_row['description'];
		 echo '<br/>';
		 echo '<br/>';
		 echo '<b> More Details : </b> <br/>';
		 echo $news_row['body'];
		 echo '</div>';
		 echo '<br/>';
		 if($news_row['comment'])
		 { $comments = display_comments($news_row['id']);}
	  } 
     }
if(logged_in())
{
 if($comments)
  {
   echo '<h3>comments : </h3>';
   foreach($comments as $comment)
    {
	if($comment['approved'] || logged_as('admins'))
   {
	 echo '<div class="comments">';
	 echo '<br/>';
	 echo '<b>';
	 $_SESSION['comment']['id'] = $comment['by'];
		 //Showing the admin controls.
		 if(logged_as('admins'))
		 {
		 echo '<a href="'.MODULES.'os_news/process/comment.php?action=delete&news_id='.$comment['news_id'].'&id='.$comment['id'].'"'.'>';
		 echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/delete.gif" alt="Delete News" /> </a>';
		  if($comment['approved'])
		   {
		 	echo '<a href="'.MODULES.'os_news/process/comment.php?action=approve&news_id='.$comment['news_id'].
			      '&value='.$comment['approved'].'&id='.$comment['id'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/published.gif" alt="News Published" /> </a>';
		   }else{
		 	echo '<a href="'.MODULES.'os_news/process/comment.php?action=approve&news_id='.$comment['news_id'].
			      '&value='.$comment['approved'].'&id='.$comment['id'].'"'.'>';
		    echo '<img src="'.WEBSITE.APP_ROOT.'/images/system/admin/not_published.gif" alt="News Published" /> </a>';
		   }
		echo '<br/>';
		 }
		//Ends Admin Controls.
	 echo '<a href="index.php?module=os_students&view=profile&id='.$comment['by'].'">';
	 echo $comment['username'].'</a> on '.$comment['at'].' says :</b>';
	 echo '<br/><em>';
	 echo '"';
	 echo $comment['comment'];
	 echo '"</em>';
	 echo '</div>';
	 echo '<br/>';
   }
	}
 }
  if(logged_as('students'))
  { 
  echo '<div>';
  echo '<form id="form1" name="form1" method="post" action="'.MODULES.'os_news/process/comment.php?action=add">';
  echo '<label>';
  echo '<div><b> ADD YOUR COMMENT:</b></div><textarea name="comment" cols="45" rows="10"></textarea>';
  echo '<input type="hidden" name="by" value="'.$_SESSION['user']['id'].'"/>';
  echo '<input type="hidden" name="news_id" value="'.$news_row['id'].'"/>';
  echo '</label>';
  echo '<div>';
  echo '<input name="Submit" class="formsubmit" type="submit" value="Submit" /></div>';
  echo '</form></div>';
  }
}
else
 {
  echo '<h4><em>Login to view comments.</em></h4>';
 }
?>
