<?php
/**
* @file		    controllers/teachers.php
* @description	The controller file for the students
* @parameters   v = view
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
//no direct access
defined( '_OS' ) or die( 'Restricted access' );
include_once(MODULES_PATH.'os_teachers/models/teachers.php');
include_once(MODULES_PATH.'os_class/models/class.php');
//Storind the Class
$classes = list_class();
//Getting the user model
$view = $_GET['view'];
$id = $_GET['id'];
//Switching with the view
if(!$view)
{$view = 'list';}
switch ($view)
{
case "list":
check_authentication('admins');
$teachers = list_teachers();
include(MODULES_PATH.'os_teachers/views/list.php');
break;
case "profile":
$user = user_profile('teachers',$id);
include(MODULES_PATH.'os_teachers/views/profile.php');
break;	
case "delete":
check_authentication('admins');
delete_teacher($id);
redirect_to('index.php?module=os_teachers&view=list');
break;
case "new":
check_authentication('admins');
$action = 'add';
$teacher = user_profile('teachers',$id);
include(MODULES_PATH.'os_teachers/views/action.php');
break;	
case "edit":
check_authentication('admins');
$action = 'edit';
$teacher = user_profile('teachers',$id);
include(MODULES_PATH.'os_teachers/views/action.php');
break;	
}
?>