<?php
/**
* @file		    views/users/profile.php
* @description	The view file for the user profile
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
if(logged_as('admins'))
{
echo '<div align="left">';
echo '<a href="index.php?module=os_teachers&view=list"><img src="'.WEBSITE.APP_ROOT.'/images/system/admin/back.gif" alt="Back" /></a>';
echo '<a href="index.php?module=os_teachers&view=new"><img src="'.WEBSITE.APP_ROOT.'/images/system/admin/new.gif" alt="New Students" /></a>';
echo '</div>';
}
if($user)
{
  foreach($user as $user_row)
   {
    echo '<div>';
	//Display Profile Image
	echo '<div>';
	echo '<img src="';
	echo WEBSITE.APP_ROOT.'/images/profile/teachers/'.$user_row['image'].'"';
	echo 'alt="'.$user_row['first_name'].'" class="thumbnail"';
	echo '/>';
	echo '</div>';
	//User Name
	echo '<div class="profile">';
    echo '<h3>Name : '.$user_row['first_name'].' '.$user_row['last_name'].'</h3>';
	echo '</div>';
	//Display Class Details
	echo '<div class="profile">';
	echo '<span style="font-weight: bold;">Class : </span>';
				$class_name = class_details($user_row['class']);
				if($class_name)
 				 {
  				  foreach($class_name as $class_row)
   				   {
  				    echo '<span>'.$class_row['name'].'</span>';
				   } 
				 } 
	echo '</div>';
	//Display Date of Birth
	echo '<div class="profile">';
    echo '<span style="font-weight: bold;"> <br/> Date of Birth : </span>';
    echo '<span>'.$user_row['dob'].'</span>';
	echo '</div>';
    //Display Subjects
	echo '<div class="profile">';
    echo '<span style="font-weight: bold;"> <br/> Subjects : </span>';
    echo '<span>'.$user_row['subject'].'</span>';
	echo '<br/>';
	echo '</div>';
	//Display Qualifications
	echo '<div class="profile">';
	echo '<span><b> Qualifications : </b></span>';
	echo '</div>';
	//Display User Qualifications
	echo '<div class="profile">';
    echo '<span>'.$user_row['qualifications'];
	echo '</span>';
	echo '</div>';
	echo '<br/>';
	//Display Contact Address
	echo '<div class="profile">';
	echo '<span><b> Contact Address : </b></span>';
	echo '</div>';
	//Display User Address
	echo '<div class="profile">';
    echo '<span>'.$user_row['address'];
	echo '</span>';
	echo '</div>';
	echo '<br/>';
	//Display About
	echo '<div class="profile">';
	echo '<span><b> About Me : </b></span>';
	echo '</div>';
	//Display About me details
	echo '<div class="profile">';
    echo '<span>'.$user_row['about'];
	echo '</span>';
	echo '</div>';
	
	echo '</div>';
	}
}
?>

